:root {
    --oe-link-t1: #9CA6B3;
    --white_t: rgba(255,255,255,0.5);

    --blue:             #3070b3;
    --blue-dark:	#072140;
    --blue-dark-1:	#0a2d57;
    --blue-dark-2:	#0e396e;
    --blue-dark-3:	#114584;
    --blue-dark-4:	#14519a;
    --blue-dark-5:	#165db1;


    --blue-light:	#5e94d4;
    --blue-light-1:	#9abce4;
    --blue-light-2:	#c2d7ef;
    --blue-light-3:	#d7e4f4;
    --blue-light-4:	#e3eefa;
    --blue-light-5:	#f0f5fa;

    --yellow:           #fed702;
    --yellow-dark:	#cbab01;
    --yellow-1:         #fede34;
    --yellow-2:         #fee667;
    --yellow-3:     	#feee9a;
    --yellow-4:     	#fef6cd;

    --orange:           #f7b11e;
    --orange-dark:	#d99208;
    --orange-1:         #f9bf4e;
    --orange-2:         #fad080;
    --orange-3:         #fce2b0;
    --orange-4:         #fef4e1;

    --pink:             #b55ca5;
    --pink-dark:	#9b468d;
    --pink-1:           #c680bb;
    --pink-2:           #d6a4ce;
    --pink-3:           #e6c7e1;
    --pink-4:           #f6eaf4;

    --purple:           #8f81ea;
    --purple-dark:	#6955e2;
    --purple-1:         #b6acf1;
    --purple-2:         #c9c2f5;
    --purple-3:         #dcd8f9;
    --purple-4:     	#efedfc;
    --
    --blue-medium:	#4e85e9;
    --blue-medium-1:	#6b92db;
    --blue-medium-2:	#7ebaff;

    --red:              #ea7237;
    --red-dark:         #d95117;
    --red-1:            #ef9067;
    --red-2:            #f3b295;
    --red-3:            #f6c2ac;
    --red-4:            #fbe4da;

    --green:            #9fba36;
    --green-dark:	#7d922a;
    --green-1:          #b6ce55;
    --green-2:          #c7d97d;
    --green-3:          #d8e5a4;
    --green-4:          #e9f1cb;

    --grey-1:           #20252a;
    --grey-2:           #333a41;
    --grey-3:           #475058;
    --grey-4:           #6a757e;
    --grey-5:           #abb5be;
    --grey-6:           #cdd4db;
    --grey-7:           #dde2e6;
    --grey-8:           #e8ecef;
    --grey-9:           #f8f9fa;

    --black-blue:	#041426;
    
}


/* latin-ext */
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 100 900;
    font-stretch: 100%;
    font-display: swap;
    src: url(../Fonts/Roboto_italic_latinExt.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-weight: 100 900;
    font-stretch: 100%;
    font-display: swap;
    src: url(../Fonts/Roboto_italic_latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* latin-ext */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 100 900;
    font-stretch: 100%;
    font-display: swap;
    src: url(../Fonts/Roboto_latinExt.woff2) format('woff2');
    unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 100 900;
    font-stretch: 100%;
    font-display: swap;
    src: url(../Fonts/Roboto_latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* ##################### general definitions: HTML #################### */

*, html, body {
    padding:0;
    margin:0;
    font-family: "Roboto";
}
html, body {
    font-size:21px;
    line-height: 1.6;
}
p {
    margin-bottom:2rem;
}

main h1 {
    font-size: 1.9rem;
    line-height: 1.3;
}

main h2 {
    font-size: 1.9rem;
    margin-bottom:0.6rem;
    line-height: 1.3;
}

main h3 {
    font-size: 1.5rem;
}

main h4 {
    font-size: 0.75rem;
}


/* ##################### general definitions: classes #################### */

.lead {
    font-size:1.2em;
    font-weight: 500;
}
.flex {
    display: flex;
}
.flex.stretch {
    justify-content: space-between;
}
.float {
    float:left;
}
.floatRight {
    float:right;
}
.clear {
    clear:both;
}
.topadd02 {
    padding-top:0.2rem;
}
.topadd03 {
    padding-top:0.3rem;
}
.topadd04 {
    padding-top:0.4rem;
}
.topadd05 {
    padding-top:0.5rem;
}
.topaddforh2 {
    padding-top: 0.38rem;
}

.button {
    border:2px solid white;
    padding:0.4rem 1.1rem;
    display: table-cell;
    background:var(--blue-dark-2);
    color:white;
}
.button a {
    color:white;
    text-decoration: none;
}

/* ##################### containers #################### */

.containerBaseWidth {
    max-width:1600px;
    width:1600px;
    margin: 0 auto;
    position: relative;
    padding-left: 3rem;
    padding-right: 3rem;

    display: grid;
    grid-template-columns: repeat(12, [col-start] 1fr);
    gap: 0 3em;
}

.tumcontainer {
    display: grid;
    grid-template-columns: repeat(12, [col-start] 1fr);
    gap: 0 3em;
}

/* Mobile first / set all first childs to full if not set otherwise */
.containerBaseWidth > *,
.OneCol {
    grid-column: col-start / span 12;
}

.width10 {
    grid-column: col-start 2 / span 10;
}

.TwoCols.left {
    grid-column: col-start / span 6;
}
.TwoCols.right {
    grid-column: col-start 7 / span 6;
}

.ThreeCols.left {
    grid-column: col-start / span 4;
}
.ThreeCols.middle {
    grid-column: col-start 5 / span 4;
}
.ThreeCols.right {
    grid-column: col-start 9 / span 4;
}

/* --- header --- */

#header {
    background: var(--blue);
}

#header #inheader {

}
#header #prehead {
    background: var(--blue-dark-1);
    height: 30px;
    padding-top: 12px;
    text-align: right;
}
#header #mainhead {
    background: var(--blue-dark);
    height: 180px;
    pointer-events: none;
}

#header #mainhead .containerBaseWidth {
    height:100%;
}
#header #mainhead  .mainheadInner {
    display: grid;
    grid-template-areas:
        "linkgrid logogrid"
        "menugrid menugrid";
    grid-template-columns: 5fr 1fr;
    padding-top: 1.5rem;
    height: calc(100% - 0.5rem);
    position: relative;

}

#header #mainhead .linkgrid {
    grid-area: linkgrid;
    line-height: 1.1;
}
#header #mainhead .logogrid {
    grid-area: logogrid;
    text-align: right;
    pointer-events: auto;
}
#header #mainhead .menugrid {
    grid-area: menugrid;
    position: absolute;
    bottom: 0;
    width: 100%;
}
#header #mainhead .linkgrid .headerLink {
    max-width: 18rem;
}

#header #mainhead .linkgrid .headerLink a {
    color:white;
    font-size: 0.8em;
    pointer-events: auto;
    text-decoration: none;
}
#header #mainhead .linkgrid .headerLink a:hover {
    color:var(--white_t);
}

#header #banner {
    background: var(--blue-light-1);
    /* ToDo: Lazy load banner!! */
    background-image: url(../Images/pexels-inspiredimages-132477.jpg);
    background-size:cover;
    height: 600px;
}
#header {
    color:white;
}

#main {
    padding-top: 3rem;
    padding-bottom: 14rem;
    /*    min-height: calc(100vH - 822px - 21rem);
          ToDo: Footer at bottom of page, dynamic way */
    min-height: calc(100vH - 822px - 916px - 33px - 22rem);
    font-size:26px;
}


/* ##################### menu #################### */

#mainmenu button {
    font-size:1rem;
}

#mainmenu ul {
    list-style-type: none;
    z-index: 9;
}
#mainmenu > ul {
    display:flex;
}
/* all levels)*/
#mainmenu ul li,
#mainmenu ul li button {
    margin-bottom: 1rem;
    font-weight:400;
    /*    text-transform: uppercase;*/
    cursor: pointer;
    pointer-events: auto;
}
#mainmenu ul li li button {
    margin-bottom: 0;
    padding-top:0.5rem;
    padding-bottom:0.5rem;
    width: 70%;
    text-align: left;
}
#mainmenu .navigationwrapper  {
    cursor: default;
}

#mainmenu > ul > li {
    border-bottom: 4px solid transparent;
    margin-right: 1rem;
}

/* first level (horizontal) only */
#mainmenu > ul > li,
#mainmenu > ul > li a button {
    font-weight:600;
    /*    text-transform: uppercase;*/
}
#mainmenu > ul > li button,
#mainmenu > ul > li a button {
    margin-right:0.5rem;
    mibe
    margin-left:0.5rem;
    margin-bottom: 0.3rem;
}


#mainmenu ul li.haspopup {
    /*    background: rgba(255,0,200, 0.2);*/
}

#mainmenu > ul > li > button {
    font-weight:600;
}
#mainmenu  button {
    background: none;
    border:none;
    position: relative;
    /*    background: #20ff29;*/
    height: 100%;
    padding: 0.3rem 0.5rem;
    height: 2.5rem;
}
#mainmenu a,
#mainmenu  button {
    color: var(--oe-link-t1);
    text-decoration: none;
}

#mainmenu li a:hover,
#mainmenu li a.active,
#mainmenu li > div > button:hover,
#mainmenu li a > div > button:hover
{
    color: white;
}
#mainmenu li a:hover {
    text-decoration: underline;
}

#mainmenu ul li ul button.childLink {
    text-align: right;
    margin-right: 0;
    padding-right: 2rem;
    width: 30%;
    /*    padding-right: 2rem;*/
}

#mainmenu > ul > li.active,
#mainmenu > ul > li:hover
{
    border-bottom: 4px solid white;
}

ul.navbar-nav.level2 {
    width: 30%;
}
ul.navbar-nav.level3 {
    width: calc(50% - 2rem);
}
ul.navbar-nav.level4 {
    width: 100%;
}
#mainmenu .level2 button.childLink:hover,
#mainmenu .level2 button.childLink.active
{
    background-image: linear-gradient( to right, var(--blue-dark) , var(--blue-dark-2) );
}
#mainmenu .level3 button.childLink:hover,
#mainmenu .level3 button.childLink.active
{
    background-image: linear-gradient( to right, var(--blue-dark-2) , var(--blue-dark-3) );
}

#mainmenu .navigationwrapperInner {
    padding: 3rem;
    width: 100%;
    height: 100%;
    overflow:hidden;
    /*    add minimum width to prevent breaking of words when transitioning */
    min-width: 40rem;

}

#mainmenu .navigationwrapper.level2,
#mainmenu .navigationwrapper.level3,
#mainmenu .navigationwrapper.level4 {

    position: absolute;
    top:3rem;
    left:0;
    background: var(--blue-dark);
    z-index: 9;
    width: 100%;
    border-top:1px solid var(--blue-dark-2);
    overflow:hidden;
    transition: width 0.4s;
}

#mainmenu .navigationwrapper.level2 {
    display: none;
}


#mainmenu .navigationwrapper.level3 {
    top:0;
    left:25.8rem;
    background: var(--blue-dark-2);
    width: 0;
    height: 100%;
    opacity:0;
    &.open {
        width: calc(100% - 25.8rem);
        opacity:1;

    }
}


#mainmenu .navigationwrapper.level4 {
    top:0;
    left:26.2rem;
    background: var(--blue-dark-3);
    width: 0;
    height: 100%;
    opacity:0;
    &.open {
        width: calc(100% - 26.2rem);
        opacity:1;
    }

}

#mainmenu .navigationwrapper h2 {
    font-size: 1.4rem;
    margin-bottom: 2rem;
    color:white;
}

#mainmenu .navigationwrapper a:hover h2 {
    text-decoration: underline;
}

.menuArrow {
    padding-left: 0.8rem;
}

.linkOverview {
    padding-left: 0.2rem;
    color: var(--white_t);
    text-decoration: underline;
}
a:hover .linkOverview {
    color: white;

}

#menuCloseOverlay {
    position: fixed;
    width: 100vW;
    height: 100vH;
    /*   background: rgba(255,0,200,0.3);*/
    z-index: 0;
    display: none;
}

/* ##################### breadcrumb #################### */

#breadcrumb {
    margin-top:3.5rem;
    margin-bottom: 2rem;
}

#breadcrumb ol {
    list-style-type: none;
    display: flex;
}
#breadcrumb ol li {
    padding-right: 2rem;
    background-image: url(../Icons/breadcrumbArrow_bl.svg);
    background-repeat: no-repeat;
    background-position: right 0.7rem  center;
    color: var(--blue-dark-5);
}
#breadcrumb ol li:last-of-type {
    background-image: none;
}
#breadcrumb ol li a {
    text-decoration: none;
    color: var(--blue-dark-5);
}


/* ##################### TYPO3 Standards #################### */

/*-- frames --*/

.frame {
/* !! - no padding/margin, as we want to glue frames together --! */
}


/*-- less broad text --*/
.frame-type-text.frame-layout-0 {
    grid-column: col-start / span 9;
}

/*-- frame Layout 1: background color spanning to window border --*/
main > .frame.frame-layout-1 {
    padding-top:2.5rem;
    padding-bottom: 1rem;
    margin-top:1rem;
    margin-bottom: 2rem;
    background: var(--grey-7);
    margin-left: calc(-50vW + 800px);
    padding-left: calc(50vW - 800px);
    margin-right: calc(-50vW + 800px);
    padding-right: calc(50vW - 800px);
}

/*-- images, padings in image CEs --*/
.ce-textpic .ce-bodytext {
    /*    font-size: 1rem;*/
}
.ce-textpic figcaption,
.ce-gallery figcaption {
    font-size: 1rem;
    padding-top:0.4rem;
    font-weight: 500;
}
.ce-intext.ce-left .ce-gallery {
    margin-right: 3.4rem;
    padding-top:0.2rem;
}
.ce-intext.ce-right .ce-gallery {
    margin-left: 2.8rem;
    padding-top:0.2rem;
}
.ce-column figure.image {
    margin-bottom: 1rem;
}

.ce-above .ce-column figure.image {
    margin-bottom: 1rem;
}
.ce-column figure.image .imageWrapper img {
    width: 100%;
    height: auto;
}

/*-- copyright in image --*/

figure.image .imageWrapper {
    position: relative;
}

figure.image .imageWrapper .copyrightWrapper {
    position: absolute;
    text-align: right;
    bottom: 0;
    left: 0;
    background: #718194;
    background: linear-gradient(0deg,rgba(113, 129, 148, 0.6) 0%, rgba(179, 188, 199, 0.6) 100%);
    width: 100%;
    height:2rem;
}

figure.image .imageWrapper .copyrightWrapper .copyright {
    font-size: 0.8rem;
    font-weight: bold;
    color: white;
    position: absolute;
    text-align: right;
    padding: 0 1rem 0.2rem 0;
    bottom: 0;
    left: 0;
    width: calc(100% - 1rem);
}


/* ##################### footer #################### */

#footerWrapper {
    padding: 4rem 0;
    background-color: var(--blue-dark);
}
#footerWrapper #footer p {
    margin-bottom:1.5rem;
}
#footerWrapper #footer hr {
    background-color: white;
    height: 1px;
    border: 0;
}

#footerWrapper #footer,
#footerWrapper #footer a {
    color:white;
}

/* ##################### keen slider css #################### */

.keen-slider:not([data-keen-slider-disabled]){-webkit-touch-callout:none;-webkit-tap-highlight-color:transparent;align-content:flex-start;display:flex;overflow:hidden;position:relative;touch-action:pan-y;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;-khtml-user-select:none;width:100%}.keen-slider:not([data-keen-slider-disabled]) .keen-slider__slide{min-height:100%;overflow:hidden;position:relative;width:100%}.keen-slider:not([data-keen-slider-disabled])[data-keen-slider-reverse]{flex-direction:row-reverse}.keen-slider:not([data-keen-slider-disabled])[data-keen-slider-v]{flex-wrap:wrap}